import type { DisplayObject, ParsedBaseStyleProps, RenderingService } from '@antv/g';
import { Syringe } from '@antv/g';
export declare const StyleRendererFactory: Syringe.DefinedToken;
export interface StyleRenderer {
    render: (context: CanvasRenderingContext2D, parsedStyle: ParsedBaseStyleProps, object: DisplayObject, renderingService: RenderingService) => void;
}
export declare const CircleRendererContribution: Syringe.DefinedToken;
export declare const EllipseRendererContribution: Syringe.DefinedToken;
export declare const RectRendererContribution: Syringe.DefinedToken;
export declare const LineRendererContribution: Syringe.DefinedToken;
export declare const PolylineRendererContribution: Syringe.DefinedToken;
export declare const PolygonRendererContribution: Syringe.DefinedToken;
export declare const PathRendererContribution: Syringe.DefinedToken;
export declare const TextRendererContribution: Syringe.DefinedToken;
export declare const ImageRendererContribution: Syringe.DefinedToken;
//# sourceMappingURL=interfaces.d.ts.map